"use strict";
/**
 * A util function to get height of the
 * device Status Bar
 *
 * @returns number - 44
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStatusBarHeight = void 0;
const react_native_1 = require("react-native");
const if_iphonex_1 = require("./if-iphonex");
const getStatusBarHeight = (safe) => react_native_1.Platform.select({
    android: react_native_1.StatusBar.currentHeight,
    default: 0,
    ios: (0, if_iphonex_1.ifIphoneX)(safe ? 44 : 30, 20),
});
exports.getStatusBarHeight = getStatusBarHeight;
