"use strict";
/**
 * A util function to validate if the device
 * is indeed iPhoneX
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ifIphoneX = void 0;
const is_iphonex_1 = require("./is-iphonex");
const ifIphoneX = (iphoneXStyle, regularStyle) => {
    if ((0, is_iphonex_1.isIphoneX)()) {
        return iphoneXStyle;
    }
    return regularStyle;
};
exports.ifIphoneX = ifIphoneX;
