"use strict";
/**
 * A util function to validate if the device
 * orientation is Portrait or Landscape
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLandscape = void 0;
const react_native_1 = require("react-native");
const isLandscape = () => {
    const { height, width } = react_native_1.Dimensions.get('screen');
    return height >= width;
};
exports.isLandscape = isLandscape;
