"use strict";
/**
 * A util function to validate if the device
 * is tablet or not
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.scale = exports.height = exports.width = void 0;
const react_native_1 = require("react-native");
_a = react_native_1.Dimensions.get('window'), exports.width = _a.width, exports.height = _a.height;
const wscale = exports.width / 375;
const hscale = exports.height / 667;
const scale = (size, based = 'width') => {
    const newSize = ((based === 'height')
        ? (size * hscale)
        : (size * wscale));
    if (exports.width < 768) {
        if (react_native_1.Platform.OS === 'ios') {
            return Math.round(react_native_1.PixelRatio.roundToNearestPixel(newSize));
        }
        return Math.round(react_native_1.PixelRatio.roundToNearestPixel(newSize)) - 2;
    }
    return size * 1.273;
};
exports.scale = scale;
