export type AllowedTypes = boolean | string | number | Record<string, unknown> | null | undefined;
export declare const usePersistentState: <T>(key: string, initial: T) => readonly [T | undefined, (newState: T extends AllowedTypes ? T : never) => void];
