"use strict";
/**
 * A util function to validate if the device
 * is indeed iPhone12
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks Sentics App
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isIphone12 = void 0;
const react_native_1 = require("react-native");
const isIphone12 = () => {
    const { height, width } = react_native_1.Dimensions.get('window');
    return (react_native_1.Platform.OS === 'ios'
        && !react_native_1.Platform.isPad
        && !react_native_1.Platform.isTV
        && (height === 844 || width === 844));
};
exports.isIphone12 = isIphone12;
