"use strict";
/**
 * A util function to validate if the device
 * is indeed iPhoneX
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isIphoneX = void 0;
const react_native_1 = require("react-native");
const isIphoneX = () => {
    const { height, width } = react_native_1.Dimensions.get('window');
    return (react_native_1.Platform.OS === 'ios'
        && !react_native_1.Platform.isPad
        && !react_native_1.Platform.isTV
        && ((height === 812 || width === 812) || (height === 896 || width === 896)));
};
exports.isIphoneX = isIphoneX;
