/**
 * A util function to read svg emoji directory and its content
 * and constructs an emoji story for all of it's subdirectories
 *
 * @param fs any
 * @returns an auto generated emoji story file
 * @author Taimoor Khan
 * @remarks React Native Emoji Collection
 */
/** End file docs */
export interface IEmojiMap {
    [key: string]: {
        [key: string]: unknown;
    };
}
export declare const generateReactNativeEmojis: (fs: any) => void;
